package cn.com.ty.lift.batch.applet.dao.model;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@Data
public class MaintenanceDataModel extends BaseDataModel {
    /**
     * 电梯id
     */
    private Long liftId;
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 计划维保时间
     */
    private LocalDate planDate;

    /**
     * 保养次数
     */
    private Integer count;

    /**
     * 首保时间
     */
    private LocalDate firstDate;

    /**
     * 维保记录id
     */
    private Long recordId;

    /**
     * 保养完成时间
     */
    private LocalDate finishDate;

    /**
     * 计划制定时间
     */
    private LocalDate createDate;

    /**
     * 保养状态 0:待完成 1:已完成 2:超期
     */
    private Integer maintenanceStatus;

    /**
     * 超期类型 1:计划超期 2:法规超期
     */
    private Integer beyondType;
}
