package cn.com.ty.lift.batch.applet.dao.model;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@Data
public class PaymentDataModel extends BaseDataModel{
    /**
     * 应收金额
     */
    private BigDecimal planMoney;

    /**
     * 已收金额
     */
    private BigDecimal workMoney;

    /**
     * 收款类型 1:保养 2:急修 3:大修
     */
    private Integer paymentType;

    /**
     * 应收时间
     */
    private LocalDate planDate;

    /**
     * 已收时间
     */
    private LocalDate workDate;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 合同金额
     */
    private BigDecimal contractMoney;
}
