package cn.com.ty.lift.batch.applet.dao.model.response;

import lombok.Data;

/**
 * @author huangyuan
 * @date 20d20d/2/5
 * @description 急修时间统计响应体
 */
@Data
public class EmergencyTimeStatisticsResponse {
    /**
     * 平均接单时间
     */
    private Double averageTakingTime = 0d;
    /**
     * 最大接单时间
     */
    private Long maxTakingTime = 0L;
    /**
     * 平均到场时间
     */
    private Double averageArriveTime = 0d;
    /**
     * 最大到场时间
     */
    private Long maxArriveTime = 0L;
    /**
     * 平均修梯时间
     */
    private Double averageFixTime = 0d;
    /**
     * 最大修梯时间
     */
    private Long maxFixTime = 0L;
}
