package cn.com.ty.lift.batch.applet.dao.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/8
 * @description
 */
@Data
public class LostContractResponse {
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 开始时间
     */
    private LocalDate startDate;
    /**
     * 结束时间
     */
    private LocalDate endDate;
    /**
     * 合同时长 (单位:天)
     */
    private Long duration;
    /**
     * 余款未收
     */
    private double notReceiveMoney;
}
