package cn.com.ty.lift.business.capital.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bieao
 * @date 2020/4/15
 * @description 大修项目电梯关联实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalRepairLiftRelevance extends BaseEntity {
    /**
     * 主键ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 维保工ID
     */
    private Long workerId;

    /**
     * 是否锁定 0否 1是
     */
    private Integer liftLocked;

    /**
     * 是否删除 0否 1是
     */
    private Integer deleteFlag;
}
