package cn.com.ty.lift.business.capital.dao.mapper;

import cn.com.ty.lift.business.capital.dao.entity.CapitalRepair;
import cn.com.ty.lift.business.capital.dao.entity.model.request.CapitalRepairRequest;
import cn.com.ty.lift.business.capital.dao.entity.model.response.CapitalRepairResponse;
import cn.com.ty.lift.business.library.dao.entity.model.response.LiftResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * @author bieao
 * @date 2020/2/3
 * @description 大修数据层
 */
public interface CapitalRepairMapper extends BaseMapper<CapitalRepair> {

    IPage<CapitalRepairResponse> findByCondition(IPage<CapitalRepairResponse> page, @Param("request") CapitalRepairRequest request);

    IPage<LiftResponse> findLiftListByProjectId(IPage<LiftResponse> page, @Param("request") CapitalRepairRequest request);

    IPage<LiftResponse> chooseLiftList(IPage<LiftResponse> page, @Param("request") CapitalRepairRequest request);

}
