package cn.com.ty.lift.business.contract.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2020/2/26
 * @description 付款操作记录
 */
@Data
public class PaymentHistory {

    /**
     * 记录ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 合同ID
     */
    private Long contractsId;

    /**
     * 付款ID
     */
    private Long paymentId;

    /**
     * 操作项
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人
     */
    private Long operatorId;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;


    private Integer pid;
}
