package cn.com.ty.lift.business.emergency.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *  - emergency_history
 *
 * @author wcz
 * @since 2020-04-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EmergencyHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ID_WORKER)
    private Long id;

    /**
     * 急修id
     */
    private Long erRecordId;

    /**
     * 操作人id
     */
    private Long operatorId;
    /**
     * 新增，修改，删除
     */
    private String operate;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;

    /**
     * 操作描述
     */
    private String description;

    /**
     * 操作前的值
     */
    private String beforeContent;

    /**
     * 操作和的值
     */
    private String afterContent;


}
