package cn.com.ty.lift.business.emergency.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *      电梯故障项
 * </p>
 *
 * @author wcz
 * @since 2020-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class LiftFault implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("id")
    private Long id;

    /**
     * 故障编码
     */
    private String code;

    /**
     * 所属的电梯类型1直梯，2扶梯
     */
    private Integer liftCategory;

    /**
     * 故障类型
     */
    private String faultCategory;

    /**
     * 故障分类
     */
    private String faultType;

    /**
     * 故障描述
     */
    private String faultDesc;


}
