package cn.com.ty.lift.business.emergency.mapper;

import cn.com.ty.lift.business.emergency.dto.CostRequest;
import cn.com.ty.lift.business.emergency.dto.CostResponse;
import cn.com.ty.lift.business.emergency.entity.ErRecordCost;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *      急修费用单 Mapper 接口
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
public interface ErRecordCostMapper extends BaseMapper<ErRecordCost> {

    IPage<CostResponse> pageByCondition(IPage<CostResponse> page, @Param("cond") CostRequest request);

    long countByCondition(@Param("cond") CostRequest request);
}
