package cn.com.ty.lift.business.emergency.service;

import cn.com.ty.lift.business.emergency.dto.HistoryResponse;
import cn.com.ty.lift.business.emergency.dto.RepairRequest;
import cn.com.ty.lift.business.emergency.entity.EmergencyHistory;
import cn.com.ty.lift.business.emergency.mapper.EmergencyHistoryMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 服务实现类
 *
 * @author wcz
 * @since 2020-04-17
 */
@Service
public class EmergencyHistoryService extends ServiceImpl<EmergencyHistoryMapper, EmergencyHistory> {

    public IPage<HistoryResponse> pageByEmergencyRepair(RepairRequest request){
        return baseMapper.pageByEmergencyRepair(request.getPage(), request);
    }
}
