package cn.com.ty.lift.business.library.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2020/5/12
 * @description 电梯操作记录返回
 */
@Data
public class LiftHistoryResponse {

    /**
     * 记录ID
     */
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 电梯编号 每个团队单独编号，直梯：ZT000001，扶梯：FT000001
     */
    private String code;

    /**
     * 操作描述
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人ID
     */
    private Long operatorId;

    /**
     * 操作人
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;
}
