package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class PropertyMaintenanceVO {

    /**
     * 计划时间
     */
    private LocalDateTime planDate;
    /**
     * 列表数据类型
     * 1、待保养
     * 2、保养中
     * 3、已完成
     * 4、计划超期
     * 5、法规超期
     */
    private Integer type;

    private Long userId;

    /**
     * 分页
     */
    private Long pageNum = 1L;
    private Long pageSize = 10L;
}
