package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/1/6
 * @description 保养任务返回体
 */
@Data
public class MaintenanceAppResponse {
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 维保计划id
     */
    private Long mtPlanId;
    /**
     * 保养记录id
     */
    private Long recordId;
    /**
     * 电梯id
     */
    private Long liftId;
    /**
     * 维保负责人id
     */
    private Long workerId;
    /**
     * 维保工id
     */
    private Long workerId1;
    /**
     * 电梯经纬度
     */
    private String coordinate;
    /**
     * 电梯编号
     */
    private String liftCode;
    /**
     * 电梯注册代码
     */
    private String registrationCode;
    /**
     * 设备内部编号
     */
    private String useCompanyCode;
    /**
     * 电梯类型
     */
    private Integer liftType;
    /**
     * 电梯类别
     */
    private Integer category;
    /**
     * 电梯位置
     */
    private String devicePosition;
    /**
     * 维保工
     */
    private String workerName;
    /**
     * 计划保养时间
     */
    private LocalDate planDate;
    /**
     * 保养类型
     */
    private String maintenanceType;
    /**
     * 保养状态
     */
    private String status;
    /**
     * 是否评价
     */
    private String hasEvaluate;
}
