package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author bieao
 * @date 2020/2/13
 * @description 维保计划打印返回体
 */
@Data
public class MaintenancePlanPrintResponse {
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 公司id
     */
    private Long mtCompanyId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 维保台量
     */
    private Integer num;
    /**
     * 甲方公司名称
     */
    private String ppCompanyName;
    /**
     * 维保公司
     */
    private String mtCompanyName;
    /**
     * 电梯列表
     */
    private List<LiftPrintResponse> liftList;
    /**
     * 打印时间
     */
    private LocalDateTime printTime = LocalDateTime.now();
    /**
     * 当前月份天数
     */
    private Integer monthDay;
}
