package cn.com.ty.lift.business.project.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 实体类 - 表：project_history
 * @author bieao
 * @since 2019-12-02 11:03:25
 */
@Data
public class ProjectHistory {
    /**
     * 记录ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 项目编号
     */
    private String code;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 操作描述
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人ID
     */
    private Long operatorId;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;
}