package cn.com.ty.lift.business.project.dao.entity.model.request;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * <p>
 *     项目导入请求
 * </p>
 * @author wcz
 * @Description: 项目导入
 * @date 2020/1/11 10:55
 */
@Data
public class ProjectImportRequest {

    @NotNull(message = "缺少文件数据")
    private MultipartFile file;

    @Min(value = 1,message = "维保公司ID有误")
    private Long mtCompanyId;
}
