package cn.com.ty.lift.business.project.dao.entity.model.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2020/5/12
 * @description 项目操作记录返回
 */
@Data
public class ProjectHistoryResponse {

    /**
     * 记录ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 项目编号
     */
    private String code;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 操作描述
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人ID
     */
    private Long operatorId;

    /**
     * 操作人
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;
}
