package cn.com.ty.lift.common.model;

import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * <p>
 *     带count的分页对象
 * </p>
 * @author wcz
 * @since  2019/12/18
 */
@Data
@AllArgsConstructor
public class CountPage<T> {

    /**
     * 总记录数
     */
    private long count;

    /**
     * 分页查询结果
     */
    private IPage<T> page;

    public static <T> CountPage<T> getCountPage(long count, IPage<T> page){
        return new CountPage<>(count, page);
    }
}
