/*
 * Copyright (c) 2011-2020, hubin (jobob@qq.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * <p>
 * https://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package cn.com.ty.lift.common.sql;

/**
 * SqlAnalysisInterceptor 异常类
 *
 * @author wcz
 * @since 2016-01-23
 */
public class SqlAnalysisException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public SqlAnalysisException(String message) {
        super(message);
    }

    public SqlAnalysisException(Throwable throwable) {
        super(throwable);
    }

    public SqlAnalysisException(String message, Throwable throwable) {
        super(message, throwable);
    }
}
