package cn.com.ty.lift.enterprise.custom.dao.entity.model;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 * <p>
 * (甲方公司)客户表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PropertyCompanyReq extends PageRequest implements Serializable {

    @Min(value = 1, message = "甲方公司ID不能为空")
    private Long id;

    @Min(value = 1, message = "维保公司ID不能为空")
    private Long mtCompanyId;
    private String info;

    private Long propertyCompanyId;
    private Long propertyContactId;

}
