package cn.com.ty.lift.enterprise.custom.dao.mapper;

import cn.com.ty.lift.enterprise.custom.dao.entity.PropertyContact;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 * (甲方联系人)客户联系人表 Mapper 接口
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
public interface PropertyContactMapper extends BaseMapper<PropertyContact> {
    @Select("select count(id) count from project where pp_contact_id=#{ppContactId}")
    Map<String, Long> selectProjectCountForPPContactId(@Param("ppContactId") Long ppContactId);
}
