package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.dao.dto.request.LiftDataRequest;
import cn.com.ty.lift.system.homepage.service.LiftDataService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/4/23
 * @description 平台 - 电梯数据
 */
@RestController
@RequestMapping("/home/platform/lift")
public class LiftDataPlatformController {

    @Resource
    private LiftDataService liftDataService;

    /**
     * @param
     * @return
     * @description 获取电梯数量
     * @date 2020/2/14 1:02 下午
     */
    @RequestMapping("/liftNum")
    public RestResponse liftNum(@RequestBody LiftDataRequest liftDataRequest) {
        return liftDataService.liftPlatformNum(liftDataRequest);
    }

    /**
     * @param liftDataRequest 电梯请求数据
     * @return 电梯数据
     * @description 平台获取电梯数据 - 所有电梯数据
     * @date 2020/4/23 10:51 上午
     */
    @RequestMapping("/liftDataList")
    public RestResponse liftDataList(@RequestBody LiftDataRequest liftDataRequest) {
        return liftDataService.getPlatformLiftList(liftDataRequest);
    }
}
