package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.dao.dto.request.TodoRequest;
import cn.com.ty.lift.system.homepage.service.TodoService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 企业 - 待办事项
 */
@RestController
@RequestMapping("/home/enterprise/todo")
public class TodoEnterpriseController {

    @Resource
    private TodoService todoService;

    /**
     * @param
     * @return
     * @description 待办数量
     * @date 2020/2/14 10:55 上午
     */
    @RequestMapping("/todoNum")
    public RestResponse todoNum(@RequestBody TodoRequest todoRequest) {
        return todoService.todoNum(todoRequest);
    }

}
