package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.dao.dto.request.TodoRequest;
import cn.com.ty.lift.system.homepage.service.TodoService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/4/23
 * @description 平台待办 - 行政待办
 */
@RestController
@RequestMapping("/home/platform/todo")
public class TodoPlatformController {
    @Resource
    private TodoService todoService;

    /**
     * @param
     * @return
     * @description 待办数量
     * @date 2020/2/14 10:55 上午
     */
    @RequestMapping("/todoNum")
    public RestResponse todoNum(@RequestBody TodoRequest todoRequest) {
        return todoService.todoNum(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 团队申请团队待办
     * @date 2020/2/24 10:38 上午
     */
    @RequestMapping("/companyApplyTodo")
    public RestResponse companyApplyTodo(@RequestBody TodoRequest todoRequest) {
        return todoService.companyApplyTodo(todoRequest);
    }
}
