package cn.com.ty.lift.system.homepage.dao.dto.request;

import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description
 */
@Data
public class LiftDataRequest {
    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 电梯状态：
     * 全部电梯：0
     * 今日待维保电梯：10
     * 今日维保中电梯：11
     * 今日已完成维保电梯：12
     * 今日待急修电梯：20
     * 今日急修完成电梯：21
     * 未定位电梯：-1
     */
    private Integer liftDataStatus;

    /**
     * 起始时间-字符串
     */
    private String startDateStr;

    /**
     * 终止时间-字符串
     */
    private String endDateStr;

    /**
     * 公司id集合
     */
    private List<Long> companyIdList;

    public LiftDataRequest(){}

    public LiftDataRequest(List<Long> companyIdList){
        this.companyIdList = companyIdList;
    }
}
