package cn.com.ty.lift.system.homepage.dao.dto.request;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * @author huangyuan
 * @date 2020/2/20
 * @description
 */
@Data
public class PlatformCalendarRequest {
    /**
     * 公司id
     */
    private Long mtCompanyId;

    /**
     * 日期 年+月
     */
    private String requestDateStr;

    /**
     * 日期 年+月+日
     */
    private String requestDateDayStr;

    /**
     * 月初时间 年月日
     */
    private String monthBeginStr;

    /**
     * 月末时间 年月日
     */
    private String monthEndStr;

    /**
     * 电梯状态
     */
    private Integer calendarLiftStatus;

    public String getRequestDateStr(){
        if(StringUtils.isNotBlank(requestDateStr)) {
            return requestDateStr + "-01";
        }
        return requestDateDayStr;
    }
}
