package cn.com.ty.lift.system.homepage.dao.dto.request;

import cn.com.ty.lift.common.constants.ApiConstants;
import lombok.Data;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description
 */
@Data
public class TodoRequest {

    /**
     * 待办角色编码
     */
    private String currentRoleCode;

    /**
     * 当前用户id
     */
    private Long userId;

    /**
     * 区域主管idC
     */
    private Long regionChargeId;

    /**
     * 文员id
     */
    private String clerkId;

    /**
     * 公司id
     */
    private Long mtCompanyId;

    /**
     * 页数
     */
    private Long pageNum;

    /**
     * 每页的条数
     */
    private Long pageSize;

    /**
     * 用户申请状态 获取待审核的用户申请信息
     */
    private Integer status = ApiConstants.ApplicationConstants.APPLY_WAIT;

    /**
     * 团队申请状态
     */
    private Integer isCertificated = ApiConstants.CompanyConstants.MAINTENANCE_WAIT_CERTIFICATE;

    /**
     * @param
     * @return
     * @description 获取页数 条数-1
     * @date 2020/2/24 9:48 上午
     */
    public Long getPageNum() {
        if(pageNum != null) {
            return pageNum - 1;
        }
        return pageNum;
    }
}
