package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 大修
 */
@Data
public class CapitalRepairResponse {

    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 大修记录id
     */
    private Long capitalRepairId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目地址
     */
    private String projectAddress;

    /**
     * 开始时间
     */
    private LocalDate startDate;

    /**
     * 结束时间
     */
    private LocalDate endDate;

    /**
     * 是否开启消息推送 0否 1是
     */
    private String pushFlag;

}
