package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/24
 * @description 企业申请待办
 */
@Data
public class CompanyApplyResponse {
    /**
     * 申请id
     */
    private Long applyId;

    /**
     * 公司id
     */
    private Long mtCompanyId;

    /**
     * 团队名称
     */
    private String companyName;

    /**
     * 注册时间
     */
    private LocalDate createTime;

    /**
     * 团队人数
     */
    private Long companyUserNum = 0L;

    /**
     * 联系人名称
     */
    private String contactsName;

    /**
     * 联系人电话
     */
    private String contactsTel;

    /**
     * 团队描述
     */
    private String remarks;
}
