package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/24
 * @description 团队用户申请
 */
@Data
public class CompanyUserApplyResponse {

    /**
     * 申请消息id
     */
    private Long userApplyId;

    /**
     * 头像路径
     */
    private String avatarUrl;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户类型
     */
    private Integer userType;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 申请事项 1 加入团队 2加入项目
     */
    private Integer type;

    /**
     * 申请时间
     */
    private LocalDateTime applyDate;

}
