package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description
 */
@Data
public class LiftDataResponse {
    /**
     * 公司id
     */
    private Long mtCompanyId;
    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 电梯编号
     */
    private String liftCode;

    /**
     * 电梯类型(1:直梯;2:扶梯)
     */
    private Integer liftType;

    /**
     * 电梯品牌
     */
    private String liftBrand;

    /**
     * 维保工
     */
    private String workerName;

    /**
     * 电梯公司状态 1：停保(不活跃电梯)
     *            2：正常，3：保养中 4：维修中，5：年检中，6：大修中 (其他状态为活跃电梯)
     */
    private String liftCompanyStatus;

    /**
     * 经纬度
     */
    private String coordinate;

    /**
     * 设备使用地点
     */
    private String devicePosition;
}
