package cn.com.ty.lift.system.homepage.dao.model;

import lombok.Data;

/**
 * @author huangyuan
 * @date 2020/2/20
 * @description
 */
@Data
public class CalendarLiftDataModel {
    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 电梯编号
     */
    private String liftCode;

    /**
     * 维保工
     */
    private String workerName;

    /**
     * 电梯维保状态 1: 待保养, 2: 保养中 3: 保养完成
     */
    private Integer maintenanceStatus;

    /**
     * 电梯急修状态 4: 召修待完成 5: 急修中 6: 急修完成
     */
    private Integer emergencyStatus;

    /**
     * 电梯年检状态 7: 计划年检 8: 年检中 9: 年检完成
     */
    private Integer annualInspectionStatus;

    public CalendarLiftDataModel(){}

    public CalendarLiftDataModel(Long liftId, String projectName, String registrationCode,
                                 String liftCode, String workerName){
        this.liftId = liftId;
        this.projectName = projectName;
        this.registrationCode = registrationCode;
        this.liftCode = liftCode;
        this.workerName = workerName;
    }
}
