package cn.com.ty.lift.system.homepage.dao.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/18
 * @description 急修记录数据
 */
@Data
public class EmergencyRecordDataModel extends CalendarLiftDataModel {

    /**
     * 报修时间
     */
    private LocalDateTime callerDate;

    /**
     * 新状态（-1 暂停中，0 待修理；1 修理中；2 已完成 3 已关闭）
     */
    private Integer status;

    /**
     * 恢复时间
     */
    private LocalDateTime recoveryDate;
}
