package cn.com.ty.lift.system.homepage.dao.model;

import lombok.Data;

/**
 * @author huangyuan
 * @date 2020/2/17
 * @description
 */
@Data
public class LiftUnitsDataModel {
    /**
     * 公司id
     */
    private Long mtCompanyId;

    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 电梯公司状态 1：停保(不活跃电梯)
     *            2：正常，3：保养中 4：维修中，5：年检中，6：大修中 (其他状态为活跃电梯)
     */
    private String liftCompanyStatus;

    /**
     * 公司省份
     */
    private String provinceCode;
}
