package cn.com.ty.lift.system.homepage.dao.model;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/18
 * @description 维保记录
 */
@Data
public class MtRecordDataModel extends CalendarLiftDataModel {

    /**
     * 状态 -1：待审核，0：待处理，1：已签到，保养中，2：完成保养，待评价，3：完成。
     * -2:已补录工单(缺少维保项)，可以继续填写
     */
    private String status;

    /**
     * 实际保养时间
     */
    private LocalDate workDate;
}
