package cn.com.ty.lift.system.settings.dao.entity.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/5/3
 * @description 团队详情
 */
@Data
public class TeamInfoResponse {

    /**
     * 团队名
     */
    private String name;

    /**
     * 联系人
     */
    private String corporator;

    /**
     * 联系电话
     */
    private String telephone;

    /**
     * 团队描述
     */
    private String remarks;

    /**
     * 是否认证  '0 未认证 1 已认证 2 审核中 3 认证失败'
     */
    private Integer isCertificated;


    /**
     * 注册时间
     */
    private LocalDateTime createDate;

    /**
     * 团队图片
     */
    private String logoImg;

    /**
     * 团队人数
     */
    private Integer userNum;

    /**
     * 团队管理者标识
     */
    private boolean managerFlag = false;

}
