package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.common.model.AreaCode;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
public interface IAreaCodeService extends IService<AreaCode> {
    /**
     * @param
     * @return
     * @description 获取区域树
     * @date 2019/11/27 10:03 AM
     */
    List<AreaCode> areaTree();

    /**
     * @param
     * @return
     * @description 获取省份编码->省份名称
     * @date 2020/2/17 10:57 上午
     */
    Map<String, String> getProvinceCodeToName();
}
