package cn.com.ty.lift.batch.applet.dao.mapper;

import cn.com.ty.lift.batch.applet.dao.model.EmergencyRepairDataModel;
import cn.com.ty.lift.batch.applet.dao.model.request.CommonRequest;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@MyBatisMapper
public interface EmergencyRepairDataMapper {
    /**
     * @param commonRequest 起始时间 结束时间
     * @return
     * @description 获取指定时间段内的急修数据
     * @date 2020/2/3 3:20 下午
     */
    List<EmergencyRepairDataModel> getEmergencyRepairDataList(CommonRequest commonRequest);
}
