package cn.com.ty.lift.business.capital.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/4/17
 * @description 签到记录
 */
@Data
public class SignRecord {

    public SignRecord() {
        this.approachTime = "--";
        this.leavingTime = "--";
    }

    /**
     * 签到时间
     */
    private LocalDate signDate;
    /**
     * 进场时间
     */
    private String approachTime;
    /**
     * 离场时间
     */
    private String leavingTime;
    /**
     * 用户姓名
     */
    private String userName;
}
