package cn.com.ty.lift.business.capital.dao.mapper;

import cn.com.ty.lift.business.capital.dao.entity.SignIn;
import cn.com.ty.lift.business.capital.dao.entity.model.request.CapitalRepairRequest;
import cn.com.ty.lift.business.capital.dao.entity.model.response.SignRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * @author bieao
 * @date 2020/2/5
 * @description 大修签到数据层
 */
public interface SignInMapper extends BaseMapper<SignIn> {

    List<LocalDate> getSignDate(@Param("request") CapitalRepairRequest request);


    List<SignRecord> findByCondition(@Param("paramMap") Map<String, Object> paramMap);

}
