package cn.com.ty.lift.business.contract.dao.entity.model.response;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/2/24
 * @description 付款详情返回体
 */
@Data
public class PaymentDetailResponse {
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 合同来源
     */
    private String contractSource;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目地址
     */
    private String projectAddress;
    /**
     * 合同类型
     */
    private Integer contractType;
    /**
     * 电梯台量
     */
    private Integer liftNum;
    /**
     * 开始时间
     */
    private LocalDate startDate;
    /**
     * 结束时间
     */
    private LocalDate endDate;
    /**
     * 付款说明
     */
    private String payMode;
    /**
     * 金额
     */
    private BigDecimal moneys;
    /**
     * 签约时间
     */
    private LocalDate givenDate;
    /**
     * 签约人
     */
    private String givenUser;
    /**
     * 备注
     */
    private String remarks;
}
