package cn.com.ty.lift.business.contract.dao.entity.model.response;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/2/20
 * @description 收款列表返回体
 */
@Data
public class PaymentListResponse {
    /**
     * 合同id
     */
    private Long contractId;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 收款单号
     */
    private String paymentCode;
    /**
     * 应收金额
     */
    private BigDecimal planMoney;
    /**
     * 实收金额
     */
    private BigDecimal workMoney;
    /**
     * 应收时间
     */
    private LocalDate planDate;
    /**
     * 实收时间
     */
    private LocalDate workDate;
    /**
     * 终止时间
     */
    private LocalDate endDate;
    /**
     * 收款人
     */
    private String cashierUser;
}
