package cn.com.ty.lift.business.emergency.mapper;

import cn.com.ty.lift.business.emergency.dto.HistoryResponse;
import cn.com.ty.lift.business.emergency.dto.RepairRequest;
import cn.com.ty.lift.business.emergency.entity.EmergencyHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 *  Mapper 接口
 *
 * @author wcz
 * @since 2020-04-17
 */
public interface EmergencyHistoryMapper extends BaseMapper<EmergencyHistory> {

    IPage<HistoryResponse> pageByEmergencyRepair(IPage<HistoryResponse> page, @Param("cond") RepairRequest request);
}
