package cn.com.ty.lift.business.library.dao.entity.model;

import lombok.Data;

/**
 * <p>
 *     根据维保公司和项目查询电梯和项目的关联，带电梯信息
 * </p>
 * @author wcz
 * @since 2019/12/27
 */
@Data
public class LiftProjectModel {

    /**
     * 主键ID project_lift_relevance
     */
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 注册代码
     */
    private String registrationCode;

    /**
     * 关联ID platform_company_lift_relevance
     */
    private Long relevanceId;

    /**
     * 维保工id
     */
    private Long workerId;

    private String workerName;

    /**
     * 公司id
     */
    private Long companyId;

}