package cn.com.ty.lift.business.library.dao.entity.model.request;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * <p>
 *     电梯上传请求参数
 * </p>
 * @author wcz
 * @since  2020/1/11 10:49
 */
@Data
public class LiftImportRequest {

    @NotNull(message = "缺少上传文件数据")
    private MultipartFile file;

    @Min(value = 1,message = "维保公司ID有误")
    private Long mtCompanyId;

    @Min(value = 1,message = "项目ID有误")
    private Long projectId;
}
