package cn.com.ty.lift.business.library.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * 待确认年检计划
 * @author wcz
 * @since  2020/03/05
 */
@Data
public class LiftAnnualInspectionResponse {
    /**
     * 电梯ID
     */
    private Long liftId;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 区域
     */
    private String areaName;

    /**
     * 电梯编号
     */
    private String useCompanyCode;
    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 设备使用地点
     */
    private String devicePosition;
    /**
     * 区域主管
     */
    private String directorName;
    /**
     * 年检时间
     */
    private LocalDate planDate;
    /**
     * 是否检查限速器（0 否；1 是；默认0）
     */
    private Integer isCheckGoverner;
    /**
     * 是否荷载年检设置（0 否；1 是；默认0）
     */
    private Integer loadInspectionSetting;

}
