package cn.com.ty.lift.business.project.dao.entity.model.response;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/12/31
 * @description app端公司项目列表返回体
 */
@Data
public class ProjectCompanyResponse {
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目用途
     */
    private Integer projectUsage;
    /**
     * 项目台量
     */
    private Integer actualNum;
    /**
     * 项目状态
     */
    private String projectStatus;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否维保班长
     */
    private String isMonitor;
}
