package cn.com.ty.lift.common.constants;

/**
 * @author huangyuan
 * @date 2020/4/29
 * @description 消息推送常量
 */
public class WebSocketConstants {

    /**
     * 消息推送目的地
     */
    public static final String PUSH_MESSAGE_TO_PC = "pushMessageToPC";

    /**
     * 查看标识 已经查看
     */
    public static final int IS_VIEW = 1;

    public static final int IS_NOT_VIEW = 0;

    /**
     * 消息类型
     */
    public interface MessageType {
        /**
         * 团队消息
         */
        int TEAM_MSG = 1;

        /**
         * 工作消息
         */
        int WORK_MSG = 2;

        /**
         * 保养消息
         */
        int MAINTENANCE_MSG = 3;

        /**
         * 急修消息
         */
        int EMERGENCY_MSG = 4;

        /**
         * 年检消息
         */
        int INSPECTION_MSG = 5;

        /**
         * 提醒(消息简报)
         */
        int TIPS_MSG = 6;
    }

}
