package cn.com.ty.lift.common.verify;

import java.lang.annotation.*;

/**
 * <p>
 *     标记需要检验参数
 * </p>
 * @author wcz
 * @since 2020/1/27 9:35
 */
@Target({ElementType.METHOD,ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Validation {

    /**
     * 标注在method上，指定fields，需要校验的对象属性
     */
    String[] fields() default {};
}
