package cn.com.ty.lift.enterprise.custom.dao.mapper;

import cn.com.ty.lift.enterprise.custom.dao.entity.PropertyCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * (甲方公司)客户表 Mapper 接口
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
public interface PropertyCompanyMapper extends BaseMapper<PropertyCompany> {
    @Select("select count(id) count from project where pp_company_id=#{ppCompanyId}")
    long selectProjectCountForPPCompanyId(@Param("ppCompanyId") Long ppCompanyId);
}
