package cn.com.ty.lift.enterprise.oa.dto;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;

/**
 * <p>
 *     公告管理接口请求入参
 * </p>
 * @author wcz
 * @since  2019/12/12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AnnouncementRequest extends PageRequest {
    /**
     * 主键id
     */
    @Min(value = 1,message = "公告ID有误")
    private Long id;
    /**
     * 维保公司id
     */
    @Min(value = 1,message = "维保公司ID有误")
    private Long mtCompanyId;
}
