package cn.com.ty.lift.enterprise.oa.dto;

import cn.com.ty.lift.enterprise.oa.entity.Announcement;
import cn.com.ty.lift.enterprise.oa.entity.AnnouncementImg;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 *     公告管理返回实体model
 * </p>
 * @author wcz
 * @since  2019/12/12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AnnouncementResponse extends Announcement{
    /**
     * 用户名称
     */
    private String username;

    private List<AnnouncementImg> imgs;
}
