package cn.com.ty.lift.push.message.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 实体类 - 表：user_account
 */
@Data
public class UserAccount {
    @TableId(value = "user_id", type = IdType.ID_WORKER)
    private Long userId;
    @TableId("type")
    private Integer type;
    @TableId("account")
    private String account;
    @TableField("password")
    private String password;
    @TableField("salt")
    private String salt;
    @TableField("mobile")
    private String mobile;
    @TableField("wechat_open_id")
    private String wechatOpenId;
    @TableField("applet_open_id")
    private String appletOpenId;
    @TableField("email")
    private String email;
    @TableField("other_account")
    private String otherAccount;
    @TableField("other_account2")
    private String otherAccount2;
    @TableField("status")
    private int status;
    @TableField("remarks")
    private String remarks;
    @TableField("create_date")
    private LocalDateTime createDate;
    /**
     * 设备类型
     */
    @TableField("device_model")
    private Integer deviceModel;
    /**
     * 设备标识
     */
    @TableField("device_flag")
    private String deviceFlag;
    @TableField("delete_flag")
    private int deleteFlag;
    @TableField("expert_flag")
    private int expertFlag;

}