package cn.com.ty.lift.quan.news.dao.entity.model;

import cn.com.ty.lift.quan.news.dao.entity.QuanNews;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电梯圈新闻公告
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QuanNewsReq extends QuanNews {

    private static final long serialVersionUID = 1L;

    /**
     * 页码
     */
    private Long pageNum;

    /**
     * 页大小
     */
    private Long pageSize;

    /**
     * 查询时是否包含置顶新闻
     */
    private Integer haveTops;

    /**
     * 1置顶 ，0取消置顶
     */
    private Integer type;

    /***
     * 点赞的用户id
     */
    private Long userId;
}
