package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.dao.dto.request.PlatformCalendarRequest;
import cn.com.ty.lift.system.homepage.service.PlatformCalendarService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 企业首页-日历
 */
@RestController
@RequestMapping("/home/enterprise/calendar")
public class PlatformCalendarController {

    @Resource
    private PlatformCalendarService platformCalendarService;

    /**
     * @param
     * @return
     * @description 任务数
     * @date 2020/2/14 6:59 下午
     */
    @RequestMapping("/taskNum")
    public RestResponse taskNum(@RequestBody PlatformCalendarRequest platformCalendarRequest) {
        return platformCalendarService.taskNum(platformCalendarRequest);
    }

    /**
     * @param
     * @return
     * @description 任务电梯列表
     * @date 2020/2/14 7:01 下午
     */
    @RequestMapping("/taskLiftNum")
    public RestResponse taskLiftNum(@RequestBody PlatformCalendarRequest platformCalendarRequest) {
        return platformCalendarService.taskLiftNum(platformCalendarRequest);
    }

}
