package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.service.PlatformDataStatisticsService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 平台首页-数据统计
 */
@RestController
@RequestMapping("/home/platform/statistics")
public class PlatformDataStatisticsController {

    @Resource
    private PlatformDataStatisticsService platformDataStatisticsService;

    /**
     * @param
     * @return
     * @description 客户数据统计
     * @date 2020/2/14 6:52 下午
     */
    @RequestMapping("/customerStatistics")
    public RestResponse customerStatistics() {
        return platformDataStatisticsService.customerStatistics();
    }

    /**
     * @param
     * @return
     * @description 台量统计
     * @date 2020/2/14 6:54 下午
     */
    @RequestMapping("/unitsStatistics")
    public RestResponse unitsStatistics() {
        return platformDataStatisticsService.unitsStatistics();
    }

    /** 平台统计
     * @return
     */
    @RequestMapping("/overView")
    public RestResponse overView(){
        return platformDataStatisticsService.overView();
    }

}
