package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 年检
 */
@Data
public class AnnualInspectionResponse {

    /**
     * 年检id
     */
    private Long annualInspectionId;

    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 设备内部编号
     */
    private String useCompanyCode;

    /**
     * 计划年检时间
     */
    private LocalDate planDate;

    /**
     * 电梯类型(1:直梯;2:扶梯)
     */
    private Integer liftType;

    /**
     * 维保负责人
     */
    private String workerName;
}
