package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 急修待办相应信息
 */
@Data
public class EmergencyResponse {
    /**
     * 急修记录id
     */
    private Long emergencyId;

    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 经纬度
     */
    private String coordinate;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 报修人名称 ,2.0 报修人是指派人
     */
    private String callerName;

    /**
     * 维修人名称(电梯负责人)
     */
    private String workerName;

    /**
     * 故障原因
     */
    private String faultReason;

    /**
     * 是否关人（0 否；1 是）
     */
    private Integer isTrapped;

    /**
     * 是否紧急（0 否；1 是）
     */
    private Integer isCritical;

}
