package cn.com.ty.lift.system.homepage.dao.dto.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 维保待办
 */
@Data
public class MaintenanceTodoResponse {
    /**
     * 维保计划id
     */
    private Long mtPlanId;

    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 设备内部编号
     */
    private String useCompanyCode;

    /**
     * 电梯类型(1:直梯;2:扶梯)
     */
    private Integer liftType;

    /**
     * 维保负责人
     */
    private String workerName;

    /**
     * 计划日期
     */
    private LocalDate planDate;
}
