package cn.com.ty.lift.system.homepage.dao.model;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/18
 * @description 维保计划数据
 */
@Data
public class MtPlanDataModel extends CalendarLiftDataModel {

    /**
     * 计划维保时间
     */
    private LocalDate planDate;

    /**
     * 状态 0：待完成，1：已完成，2：超期
     */
    private Integer status;

}
