package cn.com.ty.lift.system.settings.service;

import cn.com.ty.lift.system.settings.dao.entity.GlobalSet;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 全局设置 服务类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
public interface GlobalSetService extends IService<GlobalSet> {

    /**
     * @param
     * @return
     * @description 团队初始化设置全局设置数据
     * @date 2019-12-17 16:45
     */
    boolean teamInitSetting(Long companyId);

    void saveToRedis(List<GlobalSet> globalSetList, Long companyId);
}
