package cn.com.ty.lift.system.user.dao.entity.model;

import cn.com.ty.lift.system.settings.dao.entity.MaintenanceCompany;
import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/4/16
 * @description 个人中心响应数据
 */
@Data
public class PersonalCenterResponse {
    /**
     * 用户名
     */
    private String name;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 角色名称
     */
    private String roleName;
    /**
     * 帐号(小梯号)
     */
    private String account;
    /**
     * 描述
     */
    private String remarks;
    /**
     * 用户所在团队
     */
    private List<MaintenanceCompany> maintenanceCompanyList;

}
