package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserLogin;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 用户登录记录表 服务类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-10
 */
public interface IUserLoginService extends IService<UserLogin> {

    /**
     * @description 保存登录信息
     * @date 2019-12-30 11:15
     * @param
     * @return
     */
    boolean saveLoginInfo(HttpServletRequest request, Long userId);

}
